import pandas as pd
import rltk

print('from dataframe...')

df = pd.read_csv('ds1.csv', encoding='latin-1')
df['id'] = df['doc_id'].astype('str')


class DFRecord(rltk.AutoGeneratedRecord):
    pass


ds = rltk.Dataset(rltk.DataFrameReader(df), record_class=DFRecord)
for r in ds:
    print(r.id, r.doc_id, r.doc_value)


print('set id column...')


@rltk.set_id('col1', function_=lambda x: str(x), keep_original=True)
class DFRecord2(rltk.AutoGeneratedRecord):
    pass


df = pd.DataFrame({'col1': [1, 2], 'col2': [3, 4]})
ds = rltk.Dataset(reader=rltk.DataFrameReader(df), record_class=DFRecord2)
for r in ds:
    print(r.id, r.col1, r.col2)
